Bug 908434 - [it] pofilter newlines test failed on msgid="Error subscribing: %s"
[it] pofilter newlines test failed on msgid="Error subscribing: %s"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-02-06 12:10 EST by John Sefler
Modified: 2013-10-01 09:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:50:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-02-06 12:10:01 EST
Description of problem:

# (pofilter) newlines: Different line endings
msgid "Error subscribing: %s"
msgstr ""
"Errore di sottoscrizione: %s\n"
"\n"
"\t"
^^^^ TOO MUCH WHITE SPACE AT THE END OF THIS it TRANSLATION

EXPECTED THE FOLLOWING TRANSLATION:
msgstr "Errore di sottoscrizione: %s"



Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.9.f23e0b0.el7.x86_64
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X
Comment 1 Adrian Likins 2013-03-25 17:35:25 EDT
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784
Comment 2 John Sefler 2013-04-11 17:17:58 EDT
[root@jsefler-5 tmp]# rpm -q subscription-manager
subscription-manager-1.8.5-1.el5

[root@jsefler-5 tmp]# msgunfmt /usr/share/locale/it/LC_MESSAGES/rhsm.mo | grep -A4 "Error subscribing:"
msgid "Error subscribing: %s"
msgstr ""
"Errore di sottoscrizione: %s\n"
"\n"
"\t"

Moving back to ASSIGNED: Not yet fixed
Comment 3 Bryan Kearney 2013-04-19 13:35:13 EDT
[bkearney@bkearney subscription-manager]$ pofilter --gnome  newlines -i po/it.po 
processing 1 files...
[###########################################] 100%



fixed in 1.8.6
Comment 4 John Sefler 2013-04-23 21:17:36 EDT
Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.6-1.el7.x86_64


[root@jsefler-7 ~]# msgunfmt --no-wrap /usr/share/locale/it/LC_MESSAGES/rhsm.mo | grep "Error subscribing:" -A2
msgid "Error subscribing: %s"
msgstr "Errore di sottoscrizione: %s"


Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.